#version 450 core
#extension GL_ARB_separate_shader_objects : enable

layout(binding = 1) uniform samplerCube Texture;

layout(location = 0) in vec3 UV;

layout(location = 0) out vec4 color;

void main(){
	color = texture(Texture, UV);
	color = pow(color, vec4(2.2)); //TODO: Space brightness option
}